Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### getChild()
Examples |
    PShape states;
    PShape ohio;
    states = loadShape("tristate.svg");
    ohio = states.getChild("OH");
    smooth();
    background(0);
    shape(states, -48, 5);
    ohio.disableStyle();
    fill(102, 0, 0);
    shape(ohio, -48, 5);
Description | Extracts a child shape from a parent shape. Specify the name of the shape with the target parameter. The shape is returned as a PShape object, or null is returned if there is an error.
Syntax |
    sh.getChild(target)
Parameters |
sh | PShape: any variable of type PShape
target | String: the name of the shape to get
Returns | PShape or null
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT